com.trendmicro.ds.platform.rest.object.smartfolder

## Enum Model.KeyGroup

- java.lang.Object
- - java.lang.Enum<Model.KeyGroup>
  - - com.trendmicro.ds.platform.rest.object.smartfolder.Model.KeyGroup

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Model.KeyGroup>
  Enclosing class:
    Model

      public static enum Model.KeyGroup
      extends java.lang.Enum<Model.KeyGroup>

  List the different groups for the query definition keys

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE_DIRECTORY`
    `AWS`
    `AZURE`
    `GENERAL`
    `VCENTER`
    `VCLOUD`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static Model.KeyGroup` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Model.KeyGroup[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GENERAL

          public static final Model.KeyGroup GENERAL

    - #### AWS

          public static final Model.KeyGroup AWS

    - #### AZURE

          public static final Model.KeyGroup AZURE

    - #### VCENTER

          public static final Model.KeyGroup VCENTER

    - #### VCLOUD

          public static final Model.KeyGroup VCLOUD

    - #### ACTIVE_DIRECTORY

          public static final Model.KeyGroup ACTIVE_DIRECTORY

  - ### Method Detail

    - #### values

          public static Model.KeyGroup[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Model.KeyGroup c : Model.KeyGroup.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Model.KeyGroup valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Model.KeyGroup>`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.